Bug 150496 - arecord works improperly on 1st run, fails thereafter
arecord works improperly on 1st run, fails thereafter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 14:03 EST by David Curry
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 02:52:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Curry 2005-03-07 14:03:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Terminal command line enter: arecord -f dat -d 20 -D hw:0,0 test.wav
outputs a file on first execution of the command.  
Playback of that output file with the command, aplay -f dat test.wav
produces lowgrade noise and perhaps 20 lines of text to stdout which
reads roughly along the lines of the following:
  underrun!!!  (at least .0nn microsec input/output error) where .0nn
is a value ranging from .022 - .045.

Running the arecord command a second time generates the error message -
arecord:pcm_read:1164: read error and an ouput file with no content.



Version-Release number of selected component (if applicable):
alsa-utils-1.0.3-1.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1.  $ arecord -f dat -d 20 -D hw:0,0 test.wav 
2.  $ aplay -f dat test.wav 
3.  
    

Actual Results:  Production of unuseable .wav file is reproducible
everytime.

Expected Results:  Production of a useable .wav file that fairly
reproduces the sound one attempts to record.

Additional info:

Identical or similar problems have been encountered by at least four
individuals, one of whom has since installed FC3 and is now able to
use arecord in that distribution which included alsa-utils-1.0.6-3
instead of 1.0.3-1.

Request FC2 update to alsa 1.0.6-3 or later packages as a fix.  The
other sound recording application available, gnome-sound-recorder, is
also inoperable.
Comment 1 Erik P. Olsen 2005-03-07 17:10:05 EST
I run FC3 with alsa 1.0.6 and I can't either record with my AW320
soundcard, so an update of FC2 to version 1.0.6 will most probably not
help.

Comment 2 Matthew Miller 2005-04-26 11:59:20 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Martin Stransky 2005-07-12 04:42:34 EDT
Could you check it on FC4?

Note You need to log in before you can comment on or make changes to this bug.